curl -X POST https://api.finscreener.in/api/screener/screeners \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "Mumbai IT Companies",
"type": "company",
"query": "City == '\''Mumbai'\'' AND NICCode IN [62011, 62012]",
"description": "IT companies in Mumbai"
}'
{
"data": {
"id": "scr_789",
"name": "Mumbai IT Companies",
"type": "company",
"query": "City == 'Mumbai' AND NICCode IN [62011, 62012]",
"description": "IT companies in Mumbai",
"created_at": "2026-02-04T12:00:00Z"
}
}
Save a new screener query
curl -X POST https://api.finscreener.in/api/screener/screeners \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "Mumbai IT Companies",
"type": "company",
"query": "City == '\''Mumbai'\'' AND NICCode IN [62011, 62012]",
"description": "IT companies in Mumbai"
}'
{
"data": {
"id": "scr_789",
"name": "Mumbai IT Companies",
"type": "company",
"query": "City == 'Mumbai' AND NICCode IN [62011, 62012]",
"description": "IT companies in Mumbai",
"created_at": "2026-02-04T12:00:00Z"
}
}
Bearer <access_token>company or gstCity, State), GST fields use lowercase (state).curl -X POST https://api.finscreener.in/api/screener/screeners \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "Mumbai IT Companies",
"type": "company",
"query": "City == '\''Mumbai'\'' AND NICCode IN [62011, 62012]",
"description": "IT companies in Mumbai"
}'
{
"data": {
"id": "scr_789",
"name": "Mumbai IT Companies",
"type": "company",
"query": "City == 'Mumbai' AND NICCode IN [62011, 62012]",
"description": "IT companies in Mumbai",
"created_at": "2026-02-04T12:00:00Z"
}
}